petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMSNESGetBoundaryLocal

get the local boundary value function set with DMSNESSetBoundaryLocal.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESGetBoundaryLocal(DM dm,PetscErrorCode (**func)(DM,Vec,void*),void **ctx)

Not Collective

### Input Arguments

| dm | - DM with the associated callback

### Output Arguments

| func | - local boundary value evaluation
| ctx | - context for local boundary value evaluation

### See Also

DMSNESSetFunctionLocal(), DMSNESSetBoundaryLocal(), DMDASNESSetJacobianLocal()

### Level

intermediate

### Location

src/snes/utils/dmlocalsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages